/*
 * Copyright (C) 2023, KylinSoft Co., Ltd.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, see <http://www.gnu.org/licenses/>.
 *
**/
#include "lightlabel.h"

LightLabel::LightLabel(QWidget *parent):
    FixLabel(parent)
{

}

LightLabel::LightLabel(QString text , QWidget *parent):
    FixLabel(parent)
{
    this->setText(text);
}

LightLabel::~LightLabel()
{

}

void LightLabel::paintEvent(QPaintEvent *event)
{
    QPalette paltte;
    paltte.setColor(QPalette::WindowText, paltte.placeholderText().color());
    this->setPalette(paltte);
    FixLabel::paintEvent(event);
    return;
}
